<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">
    <data>
        <variable
            name="customMeasurementValue"
            type="com.example.healthcoins.domain.treatment.measurement.MeasurementValue" />
    </data>

    <LinearLayout
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:layout_marginStart="50dp"
        android:layout_width="match_parent"
        android:orientation="vertical"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/measurement_unit"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="@android:color/black"
            android:text="@{customMeasurementValue.unit}"
            android:textSize="20sp"/>

        <EditText
            android:id="@+id/measurement_quantity"
            android:layout_width="300dp"
            android:layout_height="wrap_content"
            android:inputType="number"
            android:textSize="20sp"/>

    </LinearLayout>
</layout>
